Unregister push tokens for authToken
curl --request DELETE \
--url https://{appid}.api-{region}.cometchat.io/v3/notifications/push/v1/tokens \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"authToken": "<string>"
}
'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/notifications/push/v1/tokens"
payload = { "authToken": "<string>" }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({authToken: '<string>'})
};
fetch('https://{appid}.api-{region}.cometchat.io/v3/notifications/push/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pushTokens": [
{
"authToken": "superhero3_1710141033938cf7e3c67cc44465440d4efac8de",
"pushTokenType": "chat",
"createdAt": "2024-03-11T07:27:59.412Z",
"platform": "fcm_android",
"providerId": "fcm-provider-2",
"pushToken": "{{uid3}}_fcm_android_asia_kolkata_4_new_mgmt",
"uid": "superhero3",
"updatedAt": "2024-03-13T11:24:47.776Z"
}
]
}
}Notifications
Unregister push tokens for authToken
Unregister push token(s) registered for the given auth token.
DELETE
/
notifications
/
push
/
v1
/
tokens
Unregister push tokens for authToken
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Query Parameters
all=true: Deletes all the registered Push tokens for the user. all=false: Deletes the Push token registered for the current authToken.
Body
application/json
⌘I